Bug 1564716 - Review Request: dionaea - Low interaction honeypot
Summary: Review Request: dionaea - Low interaction honeypot
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Robert-André Mauchin
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-07 01:23 UTC by Michal Ambroz
Modified: 2019-04-23 18:41 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-08-19 00:21:23 UTC
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Michal Ambroz 2018-04-07 01:23:16 UTC
Spec URL: http://rebus.fedorapeople.org//dionaea.spec
SRPM URL: http://rebus.fedorapeople.org//dionaea-0.6.0-4.20180326git1748f3b.fc27.src.rpm

Description:
Dionaea honeypot is meant to be a nepenthes successor, embedding python
as scripting language, using libemu to detect shellcodes, supporting
ipv6 and tls.

Comment 1 Robert-André Mauchin 2018-04-07 12:44:51 UTC
 - Group: is not needed in Fedora

 - Use %{?systemd_requires} instead of:

Requires(preun): systemd
Requires(postun): systemd
Requires(post): systemd

 - Doc package should be noarch and just be named:

%package doc

 - Not needed at the end of build: cd ..

 - Install of the man page should not be to %{name}.1.gz but %{name}.1

install -p -D -m 644 doc/build/man/%{name}.1 %{buildroot}%{_mandir}/man1/%{name}.1

   The gzipping will happen automatically later.

 - Use {_sharedstatedir} instead of %{_var}/lib

 - Not needed:

# ============= Clean ==========================================================
%clean
#Cleanup the buildroot for compatibility with EPEL7
rm -rf %{buildroot}


 - Instead of:

%dir %{_libdir}/%{name}
%{_libdir}/%{name}/*

%dir %{_var}/lib/%{name}
%{_var}/lib/%{name}/*

   Just do:

%{_libdir}/%{name}/

%{_sharedstatedir}/%{name}/

 - Don't use:

%{_mandir}/man1/%{name}.1.gz

   but

%{_mandir}/man1/%{name}.1.*

   as the compression might be changed in the future.

 - Remove sphinx-build leftovers:

cd doc
make html
make man
rm -rf build/html/.{doctrees,buildinfo}

 - [!]: Package should not use obsolete m4 macros
        Note: Some obsoleted macros found, see the attachment.
        See: https://fedorahosted.org/FedoraReview/wiki/AutoTool

AutoTools: Obsoleted m4s found
------------------------------
  AC_PROG_LIBTOOL found in: dionaea-
  1748f3b3936aa1da2d92500251ae8010fe181dfc/configure.ac:28

   Replace obsolete AC_PROG_LIBTOOL with LT_INIT:

diff -up dionaea-1748f3b3936aa1da2d92500251ae8010fe181dfc/configure.ac.fix_obsolete_macros dionaea-1748f3b3936aa1da2d92500251ae8010fe181dfc/configure.ac
--- dionaea-1748f3b3936aa1da2d92500251ae8010fe181dfc/configure.ac.fix_obsolete_macros   2018-03-26 12:08:28.000000000 +0200
+++ dionaea-1748f3b3936aa1da2d92500251ae8010fe181dfc/configure.ac       2018-04-07 14:42:03.306757293 +0200
@@ -25,7 +25,7 @@ AC_C_BIGENDIAN
 # Checks for programs.
 AC_PROG_CC
 AC_PROG_MAKE_SET
-AC_PROG_LIBTOOL
+LT_INIT
 
 AC_CHECK_HEADERS([stdint.h stdlib.h string.h strings.h unistd.h netpacket/packet.h execinfo.h linux/sockios.h])





Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "MIT/X11 (BSD like)", "GPL (v2 or later) (with incorrect FSF
     address)", "GPL (v3)", "GPL (v2 or later)", "Unknown or generated".
     217 files have unknown license. Detailed output of licensecheck in
     /home/bob/packaging/review/dionaea/review-dionaea/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[-]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/lib64/dionaea
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: %config files are marked noreplace or the reason is justified.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
     Note: Multiple Release: tags found
[x]: Package does not contain duplicates in %files.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: No %config files under /usr.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[ ]: Python eggs must not download any dependencies during the build
     process.
[ ]: A package which is used by another package via an egg interface should
     provide egg info.
[ ]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[x]: Uses parallel make %{?_smp_mflags} macro.
[!]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: %clean present but not required
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     python3-dionaea
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: Package should not use obsolete m4 macros
     Note: Some obsoleted macros found, see the attachment.
     See: https://fedorahosted.org/FedoraReview/wiki/AutoTools
[!]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
     Note: Arch-ed rpms have a total of 1597440 bytes in /usr/share
[x]: Rpmlint is run on debuginfo package(s).
     Note: There are rpmlint messages (see attachment).
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: dionaea-0.6.0-4.20180326git1748f3b.fc29.x86_64.rpm
          dionaea-doc-0.6.0-4.20180326git1748f3b.fc29.x86_64.rpm
          python3-dionaea-0.6.0-4.20180326git1748f3b.fc29.x86_64.rpm
          dionaea-debuginfo-0.6.0-4.20180326git1748f3b.fc29.x86_64.rpm
          dionaea-debugsource-0.6.0-4.20180326git1748f3b.fc29.x86_64.rpm
          dionaea-0.6.0-4.20180326git1748f3b.fc29.src.rpm
dionaea.x86_64: W: spelling-error %description -l en_US nepenthes -> nepenthe, nepenthe's, nepenthe s
dionaea.x86_64: W: spelling-error %description -l en_US libemu -> lib emu, lib-emu, libelous
dionaea.x86_64: W: spelling-error %description -l en_US shellcodes -> shell codes, shell-codes, cockleshell
dionaea.x86_64: W: spelling-error %description -l en_US tls -> ts, ls, tbs
dionaea.x86_64: W: no-manual-page-for-binary gnuplotsql
dionaea.x86_64: W: no-manual-page-for-binary readlogsqltree
dionaea-doc.x86_64: W: spelling-error %description -l en_US nepenthes -> nepenthe, nepenthe's, nepenthe s
dionaea-doc.x86_64: W: spelling-error %description -l en_US libemu -> lib emu, lib-emu, libelous
dionaea-doc.x86_64: W: spelling-error %description -l en_US shellcodes -> shell codes, shell-codes, cockleshell
dionaea-doc.x86_64: W: spelling-error %description -l en_US tls -> ts, ls, tbs
dionaea-doc.x86_64: W: hidden-file-or-dir /usr/share/doc/dionaea-doc/html/.buildinfo
python3-dionaea.x86_64: W: dangling-symlink /usr/lib64/dionaea/python.so /usr/lib64/python3.6/site-packages/dionaea/core*.so
dionaea-debugsource.x86_64: W: no-documentation
dionaea.src: W: spelling-error %description -l en_US nepenthes -> nepenthe, nepenthe's, nepenthe s
dionaea.src: W: spelling-error %description -l en_US libemu -> lib emu, lib-emu, libelous
dionaea.src: W: spelling-error %description -l en_US shellcodes -> shell codes, shell-codes, cockleshell
dionaea.src: W: spelling-error %description -l en_US tls -> ts, ls, tbs
6 packages and 0 specfiles checked;0 errors, 17 warnings.

Comment 2 Michal Ambroz 2018-04-09 19:29:29 UTC
Spec URL: http://rebus.fedorapeople.org//dionaea.spec
SRPM URL: http://rebus.fedorapeople.org//dionaea-0.6.0-5.20180326git1748f3b.fc27.src.rpm

Hello Robert Andre,
thank you very much for the review.

>- Group: is not needed in Fedora
It is not prohibited and still needed for EPEL which I plan to support.

>- Use %{?systemd_requires} instead of:
OK

>- Doc package should be noarch and just be named:
OK changed

>- Not needed at the end of build: cd ..
I believe it is a good habit whend doing cd "somewhere" during build, then to change directory back again.
Just in case somebody would need to add there some more post-build commands

>- Install of the man page should not be to %{name}.1.gz but %{name}.1
OK changed

> - Use {_sharedstatedir} instead of %{_var}/lib
OK changed

> - Not needed: %clean
OK - removed 

>- Instead of: %{dir} , Just do: ..../
OK - changed

> - Don't use: %{_mandir}/man1/%{name}.1.*
OK - Changed

>- Remove sphinx-build leftovers:
OK - removed

Comment 3 Michal Ambroz 2018-04-09 22:38:24 UTC
Spec URL: http://rebus.fedorapeople.org//dionaea.spec
SRPM URL: http://rebus.fedorapeople.org//dionaea-0.6.0-6.20180326git1748f3b.fc27.src.rpm

- fix logrotate
- create user dionaea:dionaea
- grant shared stare dir/files to the dionaea user account

Comment 4 Robert-André Mauchin 2018-04-10 00:51:12 UTC
All ok, package approved.

Comment 5 Michal Ambroz 2018-04-10 14:34:36 UTC
Thank you Robert-Andre.

Comment 7 Fedora Update System 2018-04-13 11:06:24 UTC
dionaea-0.6.0-6.20180326git1748f3b.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2018-2ec9729d98

Comment 8 Fedora Update System 2018-04-13 11:06:33 UTC
dionaea-0.6.0-6.20180326git1748f3b.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-1524d5b6e4

Comment 9 Fedora Update System 2018-04-13 11:06:38 UTC
dionaea-0.6.0-6.20180326git1748f3b.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-c048c20448

Comment 10 Fedora Update System 2018-04-13 11:06:44 UTC
dionaea-0.6.0-6.20180326git1748f3b.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-acbbd4d1f1

Comment 11 Fedora Update System 2018-04-15 02:25:45 UTC
dionaea-0.6.0-6.20180326git1748f3b.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-1524d5b6e4

Comment 12 Fedora Update System 2018-04-15 15:18:19 UTC
dionaea-0.6.0-6.20180326git1748f3b.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-c048c20448

Comment 13 Fedora Update System 2018-04-15 16:22:01 UTC
dionaea-0.6.0-6.20180326git1748f3b.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-acbbd4d1f1

Comment 14 Fedora Update System 2018-04-15 21:44:14 UTC
dionaea-0.6.0-6.20180326git1748f3b.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-2ec9729d98

Comment 15 Fedora Update System 2018-04-20 20:44:32 UTC
dionaea-0.6.0-7.20180326git1748f3b.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2018-b07c923e70

Comment 16 Fedora Update System 2018-04-20 20:44:40 UTC
dionaea-0.6.0-7.20180326git1748f3b.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-e748d8ba75

Comment 17 Fedora Update System 2018-04-20 20:44:46 UTC
dionaea-0.6.0-7.20180326git1748f3b.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-735f29ccc4

Comment 18 Fedora Update System 2018-04-20 20:44:52 UTC
dionaea-0.6.0-7.20180326git1748f3b.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-80215c3776

Comment 19 Fedora Update System 2018-04-21 04:38:24 UTC
dionaea-0.6.0-7.20180326git1748f3b.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-b07c923e70

Comment 20 Fedora Update System 2018-04-21 05:03:42 UTC
dionaea-0.6.0-7.20180326git1748f3b.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-80215c3776

Comment 21 Fedora Update System 2018-04-21 06:19:20 UTC
dionaea-0.6.0-7.20180326git1748f3b.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-735f29ccc4

Comment 22 Fedora Update System 2018-04-21 18:39:16 UTC
dionaea-0.6.0-7.20180326git1748f3b.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-e748d8ba75

Comment 23 Fedora Update System 2018-05-11 01:29:08 UTC
dionaea-0.7.0-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-106e8d6871

Comment 24 Fedora Update System 2018-05-11 01:29:20 UTC
dionaea-0.7.0-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-22358c60e4

Comment 25 Fedora Update System 2018-05-11 01:29:28 UTC
dionaea-0.7.0-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-75b6619cd4

Comment 26 Fedora Update System 2018-05-11 17:37:12 UTC
dionaea-0.7.0-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-106e8d6871

Comment 27 Fedora Update System 2018-05-11 18:52:01 UTC
dionaea-0.7.0-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-75b6619cd4

Comment 28 Fedora Update System 2018-05-11 19:36:19 UTC
dionaea-0.7.0-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-22358c60e4

Comment 29 Fedora Update System 2018-08-19 00:21:23 UTC
dionaea-0.7.0-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 30 Fedora Update System 2018-08-20 18:41:06 UTC
dionaea-0.7.0-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 31 Fedora Update System 2019-04-03 18:16:38 UTC
dionaea-0.7.0-1.el7.1, menulibre-2.2.0-7.el7, python-abimap-0.3.1-3.el7, python-argcomplete-1.7.0-4.el7, python-bigsuds-1.0.6-7.el7, python-libcloud-2.2.1-6.el7, python-zabbix-api-erigones-1.2.4-3.el7, vertica-python-0.8.2-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-ed23295aaa

Comment 32 Fedora Update System 2019-04-23 18:41:43 UTC
dionaea-0.7.0-1.el7.1, menulibre-2.2.0-7.el7, python-abimap-0.3.1-3.el7, python-argcomplete-1.7.0-4.el7, python-bigsuds-1.0.6-7.el7, python-libcloud-2.2.1-6.el7, python-zabbix-api-erigones-1.2.4-3.el7, vertica-python-0.8.2-2.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.